Bug 637764 - Bonded interface doesn't issue IGMP report (join) on slave interface during failover
Summary: Bonded interface doesn't issue IGMP report (join) on slave interface during f...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Flavio Leitner
QA Contact: Hangbin Liu
URL:
Whiteboard:
Keywords: ZStream
Depends On: 637556
Blocks: 640973
TreeView+ depends on / blocked
 
Reported: 2010-09-27 10:40 UTC by Veaceslav Falico
Modified: 2013-01-11 03:21 UTC (History)
8 users (show)

(edit)
In an active/backup bonding network interface with vlans on top of it, when a link failed over, it took a minute for the multicast domain to be rejoined. This was caused by the driver not sending any IGMP join packets. With this update, the driver sends IGMP join packets and the multicast domain is rejoined immediately.
Clone Of: 637556
(edit)
Last Closed: 2011-01-13 21:23:54 UTC


Attachments (Terms of Use)
1/3 bonding: fix to rejoin multicast groups immediately (1.56 KB, patch)
2010-10-03 13:30 UTC, Flavio Leitner
no flags Details | Diff
2/3 bonding: rejoin multicast groups on VLANs (4.52 KB, patch)
2010-10-03 13:30 UTC, Flavio Leitner
no flags Details | Diff
3/3 bonding: add retransmit membership reports tunable (5.99 KB, application/octet-stream)
2010-10-03 13:33 UTC, Flavio Leitner
no flags Details
all three patches grouped (10.23 KB, patch)
2010-10-03 13:34 UTC, Flavio Leitner
no flags Details | Diff
backported patch for 225.el5 (RHEL5.6 CVS HEAD) (10.32 KB, patch)
2010-10-06 00:19 UTC, Flavio Leitner
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Veaceslav Falico 2010-09-27 10:40:54 UTC
+++ This bug was initially created as a clone of Bug #637556 +++

Description of problem:
In an active/backup bonding network interface with vlans on top of it, when a link fails over, it takes a minute for the multicast domain to be rejoined. 

Version-Release number of selected component (if applicable):
2.6.18

How reproducible:


Steps to Reproduce:
1. Create bonding a/b, attach a vlan on top of it
2. Simulate the failover
3. There are no IGMP join packets sent
  
Actual results:
No IGMP join packets sent


Expected results:
The driver sends IGMP join.

The fix should be quite the same as in RHEL4 (see original BZ).

Comment 1 Andy Gospodarek 2010-09-27 12:57:48 UTC
Please attach the patch that resolves this issue to this bug or bug 637556.

Comment 2 Flavio Leitner 2010-09-29 14:11:42 UTC
=== In Red Hat Customer Portal Case 00320338 ===
--- Comment by Leitner, Flavio on 9/29/2010 10:11 AM ---

Patches posted upstream:

Subject:    [PATCH] bonding: fix to rejoin multicast groups immediately
http://marc.info/?l=linux-netdev&m=128574433815366&w=2

Subject:    [PATCH] bonding: rejoin multicast groups on VLANs
http://marc.info/?l=linux-netdev&m=128574435115389&w=2

Flavio

Comment 4 Flavio Leitner 2010-10-03 13:30:15 UTC
Created attachment 451266 [details]
1/3 bonding: fix to rejoin multicast groups immediately

This is a backport of upstream post:
http://www.spinics.net/lists/netdev/msg142258.html

Comment 5 Flavio Leitner 2010-10-03 13:30:58 UTC
Created attachment 451267 [details]
2/3 bonding: rejoin multicast groups on VLANs

This patch is a backport of upstream post
http://www.spinics.net/lists/netdev/msg142259.html

Comment 6 Flavio Leitner 2010-10-03 13:33:44 UTC
Created attachment 451269 [details]
3/3 bonding: add retransmit membership reports tunable

This patch is a backport of upstream post
http://www.spinics.net/lists/netdev/msg142449.html

Comment 7 Flavio Leitner 2010-10-03 13:34:52 UTC
Created attachment 451270 [details]
all three patches grouped

This is a backport of those three posted patches.

Comment 13 Flavio Leitner 2010-10-06 00:19:23 UTC
Created attachment 451778 [details]
backported patch for 225.el5 (RHEL5.6 CVS HEAD)

Brew Build URL:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2801973

works out on my test system.

Comment 15 RHEL Product and Program Management 2010-10-07 01:39:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 18 Jarod Wilson 2010-10-11 18:56:28 UTC
in kernel-2.6.18-226.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 23 Martin Prpič 2010-11-11 13:55:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In an active/backup bonding network interface with vlans on top of it, when a link failed over, it took a minute for the multicast domain to be rejoined. This was caused by the driver not sending any IGMP join packets. With this update, the driver sends IGMP join packets and the multicast domain is rejoined immediately.

Comment 25 errata-xmlrpc 2011-01-13 21:23:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.